Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::FlowLayout Class Reference

Inherits Clutter::LayoutManager.

Collaboration diagram for Clutter::FlowLayout:
[legend]

List of all members.

## Public Member Functions
virtual | ~FlowLayout ()
ClutterFlowLayout* | gobj ()
| Provides access to the underlying C GObject.
const ClutterFlowLayout* | gobj () const
| Provides access to the underlying C GObject.
ClutterFlowLayout* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_homogeneous (bool homogeneous)
| Sets whether the layout should allocate the same space for each child.
bool | get_homogeneous ()
| Retrieves whether the layout is homogeneous.
void | set_orientation (FlowOrientation orientation)
| Sets the orientation of the flow layout.
ClutterFlowOrientation | get_orientation ()
| Retrieves the orientation of the layout.
void | set_column_spacing (float spacing)
| Sets the space between columns, in pixels.
float | get_column_spacing ()
| Retrieves the spacing between columns.
void | set_row_spacing (float spacing)
| Sets the spacing between rows, in pixels.
float | get_row_spacing ()
| Retrieves the spacing between rows.
void | set_column_width (float min_width, float max_width)
| Sets the minimum and maximum widths that a column can have.
void | get_column_width (float& min_width, float& max_width)
| Retrieves the minimum and maximum column widths.
void | set_row_height (float min_height, float max_height)
| Sets the minimum and maximum heights that a row can have.
void | get_row_height (float& min_height, float& max_height)
| Retrieves the minimum and maximum row heights.
Glib::PropertyProxy< bool > | property_homogeneous ()
| Whether each item should receive the same allocation.
Glib::PropertyProxy_ReadOnly < bool > | property_homogeneous () const
| Whether each item should receive the same allocation.
Glib::PropertyProxy < FlowOrientation > | property_orientation ()
| The orientation of the layout.
Glib::PropertyProxy_ReadOnly < FlowOrientation > | property_orientation () const
| The orientation of the layout.
Glib::PropertyProxy< float > | property_column_spacing ()
| The spacing between columns.
Glib::PropertyProxy_ReadOnly < float > | property_column_spacing () const
| The spacing between columns.
Glib::PropertyProxy< float > | property_row_spacing ()
| The spacing between rows.
Glib::PropertyProxy_ReadOnly < float > | property_row_spacing () const
| The spacing between rows.
Glib::PropertyProxy< float > | property_min_column_width ()
| Minimum width for each column.
Glib::PropertyProxy_ReadOnly < float > | property_min_column_width () const
| Minimum width for each column.
Glib::PropertyProxy< float > | property_max_column_width ()
| Maximum width for each column.
Glib::PropertyProxy_ReadOnly < float > | property_max_column_width () const
| Maximum width for each column.
## Static Public Member Functions
static Glib::RefPtr< FlowLayout > | create (FlowOrientation orientation)
## Protected Member Functions
| FlowLayout (FlowOrientation orientation)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::FlowLayout > | wrap (ClutterFlowLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::FlowLayout::~FlowLayout | ( |  | ) | `[virtual]`

Clutter::FlowLayout::FlowLayout | ( | FlowOrientation | orientation | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FlowLayout> Clutter::FlowLayout::create | ( | FlowOrientation | orientation | ) | `[static]`

float Clutter::FlowLayout::get_column_spacing | ( |  | ) |

Retrieves the spacing between columns.

Since cluttermm 1.2:

Returns:
  The spacing between columns of the Clutter::FlowLayout, in pixels.

void Clutter::FlowLayout::get_column_width | ( | float & | min_width,
|  | float & | max_width |
| ) |  |  |

Retrieves the minimum and maximum column widths.

Since cluttermm 1.2:

Parameters:

  | min_width | Return location for the minimum column width, or `0`.
  | max_width | Return location for the maximum column width, or `0`.

bool Clutter::FlowLayout::get_homogeneous | ( |  | ) |

Retrieves whether the layout is homogeneous.

Since cluttermm 1.2:

Returns:
  `true` if the Clutter::FlowLayout is homogeneous.

ClutterFlowOrientation Clutter::FlowLayout::get_orientation | ( |  | ) |

Retrieves the orientation of the layout.

Since cluttermm 1.2:

Returns:
  The orientation of the Clutter::FlowLayout.

void Clutter::FlowLayout::get_row_height | ( | float & | min_height,
|  | float & | max_height |
| ) |  |  |

Retrieves the minimum and maximum row heights.

Since cluttermm 1.2:

Parameters:

  | min_height | Return location for the minimum row height, or `0`.
  | max_height | Return location for the maximum row height, or `0`.

float Clutter::FlowLayout::get_row_spacing | ( |  | ) |

Retrieves the spacing between rows.

Since cluttermm 1.2:

Returns:
  The spacing between rows of the Clutter::FlowLayout, in pixels.

ClutterFlowLayout* Clutter::FlowLayout::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

const ClutterFlowLayout* Clutter::FlowLayout::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

ClutterFlowLayout* Clutter::FlowLayout::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::LayoutManager.

Glib::PropertyProxy<float> Clutter::FlowLayout::property_column_spacing | ( |  | ) |

The spacing between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::FlowLayout::property_column_spacing | ( |  | ) | const

The spacing between columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::FlowLayout::property_homogeneous | ( |  | ) |

Whether each item should receive the same allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::FlowLayout::property_homogeneous | ( |  | ) | const

Whether each item should receive the same allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::FlowLayout::property_max_column_width | ( |  | ) |

Maximum width for each column.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::FlowLayout::property_max_column_width | ( |  | ) | const

Maximum width for each column.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::FlowLayout::property_min_column_width | ( |  | ) |

Minimum width for each column.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::FlowLayout::property_min_column_width | ( |  | ) | const

Minimum width for each column.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<FlowOrientation> Clutter::FlowLayout::property_orientation | ( |  | ) |

The orientation of the layout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<FlowOrientation> Clutter::FlowLayout::property_orientation | ( |  | ) | const

The orientation of the layout.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::FlowLayout::property_row_spacing | ( |  | ) | const

The spacing between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::FlowLayout::property_row_spacing | ( |  | ) |

The spacing between rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::FlowLayout::set_column_spacing | ( | float | spacing | ) |

Sets the space between columns, in pixels.

Since cluttermm 1.2:

Parameters:

  | spacing | The space between columns.

void Clutter::FlowLayout::set_column_width | ( | float | min_width,
|  | float | max_width |
| ) |  |  |

Sets the minimum and maximum widths that a column can have.

Since cluttermm 1.2:

Parameters:

  | min_width | Minimum width of a column.
  | max_width | Maximum width of a column.

void Clutter::FlowLayout::set_homogeneous | ( | bool | homogeneous | ) |

Sets whether the layout should allocate the same space for each child.

Since cluttermm 1.2:

Parameters:

  | homogeneous | Whether the layout should be homogeneous or not.

void Clutter::FlowLayout::set_orientation | ( | FlowOrientation | orientation | ) |

Sets the orientation of the flow layout.

The orientation controls the direction used to allocate the children: either horizontally or vertically. The orientation also controls the direction of the overflowing

Since cluttermm 1.2:

Parameters:

  | orientation | The orientation of the layout.

void Clutter::FlowLayout::set_row_height | ( | float | min_height,
|  | float | max_height |
| ) |  |  |

Sets the minimum and maximum heights that a row can have.

Since cluttermm 1.2:

Parameters:

  | min_height | The minimum height of a row.
  | max_height | The maximum height of a row.

void Clutter::FlowLayout::set_row_spacing | ( | float | spacing | ) |

Sets the spacing between rows, in pixels.

Since cluttermm 1.2:

Parameters:

  | spacing | The space between rows.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::FlowLayout > wrap | ( | ClutterFlowLayout * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/flow-layout.h